#include "stdafx.h"
#include "Monitor.h"
#include "Common.h"

MONITOR_API list<wstring> GetProcessorInformationInstances()
{
	return GetInstanceName(L"Processor Information");
}

MONITOR_API list<wstring> GetProcessorInformationCounterList()
{
	return GetCounterList(L"Processor Information");
}

MONITOR_API double GetProcessorTimePercent(wchar_t * instanceName, int sleepTime)
{
	wstring fullCounterPath(L"");
	fullCounterPath+=L"\\Processor Information(";
	fullCounterPath+=instanceName;
	fullCounterPath+=L")\\% Processor Time";
	double ret=GetCounterValueWithSleep(fullCounterPath.c_str(),sleepTime);
	return ret;
}